Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ContractObject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.kernel.contract.object.common.bean.ContractObject

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractObject extends Entity

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getPosition()`
  `int`
  `getStatus()`
  `int`
  `getTypeId()`
  `ContractObject`
  `setContractId(int contractId)`
  `ContractObject`
  `setDateFrom(Date dateFrom)`
  `ContractObject`
  `setDateTo(Date dateTo)`
  `ContractObject`
  `setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)`
  `ContractObject`
  `setEntitySpecId(int entitySpecId)`
  `ContractObject`
  `setId(int id)`
  Устанавливает id объекта
  `ContractObject`
  `setPosition(int position)`
  `ContractObject`
  `setStatus(int status)`
  `ContractObject`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ContractObject`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractObject

    public ContractObject()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getPosition

    public int getPosition()

  - ### getStatus

    public int getStatus()

  - ### getTypeId

    public int getTypeId()

  - ### setContractId

    public ContractObject setContractId(int contractId)

  - ### setDateFrom

    public ContractObject setDateFrom(Date dateFrom)

  - ### setDateTo

    public ContractObject setDateTo(Date dateTo)

  - ### setId

    public ContractObject setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setPosition

    public ContractObject setPosition(int position)

  - ### setStatus

    public ContractObject setStatus(int status)

  - ### setTitle

    public ContractObject setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTypeId

    public ContractObject setTypeId(int typeId)

  - ### setEntityAttributes

    public ContractObject setEntityAttributes(Map<Integer,EntityAttr> entityAttributes)
    Overrides:
      `setEntityAttributes` in class `AbstractEntity`

  - ### setEntitySpecId

    public ContractObject setEntitySpecId(int entitySpecId)
    Overrides:
      `setEntitySpecId` in class `AbstractEntity`